summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Nikos Giotis2018-02-11 14:52:08 +0100
committer Willy Sudiarto Raharjo2018-02-17 01:42:52 +0100
commita6ea945d07966eb197b601ca3c58dd1fef07a57c (patch)
tree4cb057314b0f4c5e908b11ba93e4ac9cbd2acc18 /misc
parent71d5cba29e9e589936fca2f10cf1adc8598ceefb (diff)
downloadslackbuilds-a6ea945d07966eb197b601ca3c58dd1fef07a57c.tar.gz
misc/wkhtmltox: Added (Render HTML into PDF).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'misc')
-rw-r--r--misc/wkhtmltox/README19
-rw-r--r--misc/wkhtmltox/slack-desc19
-rw-r--r--misc/wkhtmltox/wkhtmltox.SlackBuild83
-rw-r--r--misc/wkhtmltox/wkhtmltox.info10
4 files changed, 131 insertions, 0 deletions
diff --git a/misc/wkhtmltox/README b/misc/wkhtmltox/README
new file mode 100644
index 0000000000..84fb7400d2
--- /dev/null
+++ b/misc/wkhtmltox/README
@@ -0,0 +1,19 @@
+wkhtmltox
+
+wkhtmltopdf and wkhtmltoimage are open source (LGPLv3) command line
+tools to render HTML into PDF and various image formats using the Qt
+WebKit rendering engine. These run entirely "headless" and do not
+require a display or display service.
+
+There is also a C library, if you're into that kind of thing.
+
+NOTE for SlackBuilds.org:
+
+This is a repackage of the official prebuilt binaries and provides the
+same commands as wkhtmltopdf at SlackBuilds.org (which builds from
+source). Only one of them should be installed.
+
+The official prebuilt binaries are made with a specially patched,
+statically linked Qt, so the provided utilities have extra
+functionality, such as better margin control and multiple file
+convertion. This is primarily needed for Publican to work correctly.
diff --git a/misc/wkhtmltox/slack-desc b/misc/wkhtmltox/slack-desc
new file mode 100644
index 0000000000..0acff58286
--- /dev/null
+++ b/misc/wkhtmltox/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+wkhtmltox: wkhtmltox (Render HTML into PDF)
+wkhtmltox:
+wkhtmltox: wkhtmltopdf and wkhtmltoimage are open source (LGPLv3) command line
+wkhtmltox: tools to render HTML into PDF and various image formats using the
+wkhtmltox: Qt WebKit rendering engine.
+wkhtmltox:
+wkhtmltox: NOTE: This is a repackage of the official prebuilt binaries and
+wkhtmltox: provides the same commands as wkhtmltopdf at SlackBuilds.org (which
+wkhtmltox: builds from source). Only one of them should be installed.
+wkhtmltox:
+wkhtmltox: Homepage: https://wkhtmltopdf.org/
diff --git a/misc/wkhtmltox/wkhtmltox.SlackBuild b/misc/wkhtmltox/wkhtmltox.SlackBuild
new file mode 100644
index 0000000000..3f0b4d2328
--- /dev/null
+++ b/misc/wkhtmltox/wkhtmltox.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for wkhtmltox
+
+# Copyright 2018 Nikos Giotis <nikos.giotis@gmail.com>, Athens ,GR
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=wkhtmltox
+VERSION=${VERSION:-0.12.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ] || [ "$ARCH" = "i686" ]; then
+ SUFFIX=i386
+elif [ "$ARCH" = "x86_64" ]; then
+ SUFFIX=amd64
+else
+ echo "$ARCH is not supported."
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-${VERSION}_linux-generic-$SUFFIX.tar.xz
+cd $PRGNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir $PKG/usr
+cp -a bin include lib $PKG/usr
+
+if [ "$ARCH" = "x86_64" ]; then
+ mv $PKG/usr/lib $PKG/usr/lib64
+fi
+
+cp -a share/man $PKG/usr
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/wkhtmltox/wkhtmltox.info b/misc/wkhtmltox/wkhtmltox.info
new file mode 100644
index 0000000000..bfa1d3029d
--- /dev/null
+++ b/misc/wkhtmltox/wkhtmltox.info
@@ -0,0 +1,10 @@
+PRGNAM="wkhtmltox"
+VERSION="0.12.4"
+HOMEPAGE="https://wkhtmltopdf.org"
+DOWNLOAD="https://github.com/wkhtmltopdf/wkhtmltopdf/releases/download/0.12.4/wkhtmltox-0.12.4_linux-generic-i386.tar.xz"
+MD5SUM="ce1a2c0b2cf786ccc5d5828c42c99ddd"
+DOWNLOAD_x86_64="https://github.com/wkhtmltopdf/wkhtmltopdf/releases/download/0.12.4/wkhtmltox-0.12.4_linux-generic-amd64.tar.xz"
+MD5SUM_x86_64="96b7306cebb9e65355f69f7ab63df68b"
+REQUIRES=""
+MAINTAINER="Nikos Giotis"
+EMAIL="nikos.giotis@gmail.com"